/*
 * Created on 14 December 2005, 12:46
 *
 * (C) 2005 Copyright ANSTO. All rights reserved.
 */

package au.gov.ansto.bragg.nexus.base;

/** Isolates the oft-repeated Name concept found in the NeXus meta-DTDs as a reusable class.
 * <p>Since the name 'name' is used in the meta-DTDs for both the (now inherited) name attribute
 * and as the Name DataItem it is rename ExtraName to prevent a name clash.</p>
 *
 * @author dke
 */
public class ExtraName_ extends NXtyped_ {
    
    /** Creates a new instance of ExtraName */
    public ExtraName_(String name) {
        setContent(name);
        try {
            setNXtype(NXtypes.NX_CHAR);
        }
        catch (Exception e) {error(e);}
    }
    public ExtraName_() {
        this($UNDEF);
    }    
    static public final String $short_name = "short_name";
    private String short_name;
    
    
}
